org.apache.ignite.internal.binary

## Class BinaryClassDescriptor

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryClassDescriptor

    public class BinaryClassDescriptor
    extends Object

Binary class descriptor.

### Method Summary

Methods
`boolean` `excluded()` Checks whether the class values are explicitly excluded from marshalling.
`boolean` `registered()`
`String` `toString()`
`int` `typeId()`
`boolean` `useOptimizedMarshaller()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### typeId

    public int typeId()

Returns:
  Type ID.

#### registered

    public boolean registered()

Returns:
  Whether typeId has been successfully registered by MarshallerContext or not.

#### useOptimizedMarshaller

    public boolean useOptimizedMarshaller()

Returns:
  `true` if `OptimizedMarshaller` must be used instead of `BinaryMarshaller` for object serialization and deserialization.

#### excluded

    public boolean excluded()

Checks whether the class values are explicitly excluded from marshalling.

Returns:
  `true` if excluded, `false` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016